### Function

# GLib SList alloc

#### Declaration

    GSList*
    g_slist_alloc (
      void
    )

#### Description

Allocates space for one `GSList` element. It is called by the g_slist_append(), g_slist_prepend(), `g_slist_insert()` and `g_slist_insert_sorted()` functions and so is rarely used on its own.

This function is not directly available to language bindings.

#### Return value

Type: A list of `gpointer`

A pointer to the newly-allocated `GSList` element.

The data is owned by the called function.